### KODIKAS ELEFTHEROS PROS XRISI GIA EKPAIDEYTIKOYS SKOPOUS
### Earino Eksamino 2019 - Statistiki II - Didaskon: Trevezas Samis
### Omada Didaskalias Ergastirion :
###                                Giannadaki Xristina, Katachana Konstantina
###                                Katsianos Vassilis, Kordalis Leonidas,
###                                Trevezas Samis
### Mia Filiki Eisagogi stin R

# Welcome to the SECOND course! I am back, and I hope you R back also :)

## APOTHIKEYSI KAI ANAGNOSI DEDOMENON SE ARXEIO

x = matrix(rnorm(20), 4); x # dimiourgia enos pinaka pou tha apothikeytei
                            # apo paratiriseis N(0,1)

# Me tin parakato entoli mporoyme na sosoyme se ena arxeio ena dianisma, pinaka,
# i data frame (sozetai os data frame)

write.table(x, file = "mymatrix.txt")
getwd()

# oi proepilegmenes times dinontai parakato

# NOT RUN
write.table(x, file = "mymatrix.txt", append = FALSE, quote = TRUE, sep = " ", eol = "\n",
na = "NA", dec = ".", row.names = TRUE, col.names = TRUE,
qmethod = c("escape", "double"))

# xrisimopoieitai kai i entoli write()

# anagnosi arxeiou
read.table("mymatrix.txt")

# oi proepilegmenes times dinontai parakato

# NOT RUN
read.table(file, header = FALSE, sep = "", quote = "\"'", dec = ".",
           row.names, col.names, as.is = FALSE, na.strings = "NA",
           colClasses = NA, nrows = -1, skip = 0, check.names = TRUE,
           fill = !blank.lines.skip, strip.white = FALSE, blank.lines.skip = TRUE,
           comment.char = "#")

# Gia ton idio skopo xrisimopoieitai kai i entoli scan()

#scan() function read data from screen or file.

# NOT RUN
scan(file = "", what = double(), nmax = -1, n = -1, sep = "",
     quote = if (identical(sep, "\n")) "" else "'\"", dec = ".",
     skip = 0, nlines = 0, na.strings = "NA",
     flush = FALSE, fill = FALSE, strip.white = FALSE,
     quiet = FALSE, blank.lines.skip = TRUE, multi.line = TRUE,
     comment.char = "", allowEscapes = FALSE,
     fileEncoding = "", encoding = "unknown", text)

# file: the name of a file, if "", then read in from stdin
# what: type of data, including logical, integer, numeric, complex, character, raw

test = scan() # insert some reals and then double Enter
test

# As ftiaksoume tora ena csv file (typou excel)
y = matrix(rbinom(100, 10, 0.5), 10); y
write.csv(y,"output.csv")
newdata = read.csv("output.csv")
newdata

# paratiroume oti i proti stili einai me ta onomata ton grammon
write.csv(y,"output.csv", row.names = FALSE)
newdata = read.csv("output.csv")             # edo diavazoume to csv
newdata

newdata = read.csv("output.csv", header = T) # edo diavazoume to csv me epilogi header=T
newdata                                      # edo anagnorizei tin proti grammi os header (default)

newdata = read.csv("output.csv", header = F) # edo diavazoume to csv me epilogi header=F
newdata                                      # ara den anagnorizei oti i proti grammi itan header

newdata = read.csv("output.csv", sep = "\t") # edo prosthetoume epilogi sep="\t"
newdata

list.files()            # entoli gia apothikeymena arxeia
file.choose()
newdata = read.csv(file.choose()) # syndiasmeni entoli (exoume ksexasei onoma arxeiou i variomaste na to grapsoume)
newdata
is.data.frame(newdata)

# Gia na apothikeftoun dedomena opoioudipote typou xrisimopoioume save()
#save(..., list = character(0), file = stop("'file' must be specified"), ascii = FALSE)

#example with save()
getwd()
save(newdata, x, file = "my_name.Rdata")
save(newdata, x, file = "../my_name.Rdata")       # pou sothike tora ??
save(newdata, x, file = "myRfiles/my_name.Rdata") # i R de dimiourgei aytomata to fakelo myRfiles
dir.create("myRfiles")
save(newdata, x, file = "myRfiles/my_name.Rdata") # tora to arxeio dimiourgithike mazi me to fakelo
# i entoli
# save.image()  einai syntomeysi tis entolis save(list = ls(all = TRUE), file = ".Rdata") [sozei ta panta sto xoro ergasias]

# me tin entoli load() mporoyme na fortosoyme sti mnimi kapoia dedomena
rm(newdata, x); ls()
setwd("myRfiles")
getwd()
load("my_name.Rdata"); ls()
newdata; x
setwd("..")
getwd()

### GRAFIMATA

demo(graphics) # ena deigma grafikon dynatotiton tis R

## Diaxeirisi Grafikon Parathiron
x11()     #(X Window System, version 11)
windows() # pio diasthitiko

args(windows) # gia na doume ta orismata tis

dev.cur()      # gives the number of the active graphics device
dev.set(2)     # makes the specified device the active device
dev.cur()
dev.off()      # shuts down the specified (by default the current) device
dev.cur()
graphics.off() # shuts down all open graphics devices
dev.cur()

## Diamerisi enos grafimatos

windows()
split.screen(c(2, 1))    # defines a number of regions within the current device which can be treated as separate graphics devices.
screen(1)                # used to select which screen to draw in
plot(x[1,])
split.screen(c(1, 3), 2) # screens can themselves be split, allowing for quite complex arrangements of plots.
screen(3)
plot(x[2,])
screen(4)
plot(x[3,])
screen(5)
plot(x[4,])

windows()
layout(matrix(1:6, 2, 3)) # divides the device up into as many rows and columns as specified
layout.show(6)            # plots the current layout, namely the outlines of the next n figures

windows()
layout(matrix(c(1, 1, 2, 3), 2))
layout.show(3)

graphics.off()
